CVE-2020-5395

NameCVE-2020-5395
DescriptionFontForge 20190801 has a use-after-free in SFD_GetFontMetaData in sfd.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3754-1
Debian Bugs948231

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
fontforge (PTS)buster1:20170731~dfsg-1vulnerable
buster (security)1:20170731~dfsg-1+deb10u1fixed
bullseye1:20201107~dfsg-4fixed
bullseye (security)1:20201107~dfsg-4+deb11u1fixed
bookworm1:20230101~dfsg-1fixed
bookworm (security)1:20230101~dfsg-1.1~deb12u1fixed
sid, trixie1:20230101~dfsg-1.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fontforgesourcebuster1:20170731~dfsg-1+deb10u1DLA-3754-1
fontforgesource(unstable)1:20201107~dfsg-1948231

Notes

[stretch] - fontforge <no-dsa> (Minor issue)
[jessie] - fontforge <no-dsa> (Minor issue)
https://github.com/fontforge/fontforge/issues/4084
https://github.com/fontforge/fontforge/commit/048a91e2682c1a8936ae34dbc7bd70291ec05410
Additional patch required (to not open up CVE-2020-25690):
https://github.com/fontforge/fontforge/commit/b96273acc691ac8a36c6a8dd4de8e6edd7eaae59

Search for package or bug name: Reporting problems